#
# Conditional build:
%bcond_with	bootstrap	# do bootstrap build
%bcond_without	doc		# HTML documentation

Summary:	A small build system with a focus on speed
Summary(pl.UTF-8):	Mały system budowania ukierunkowany na szybkość
Name:		ninja
Version:	1.11.1
Release:	1
License:	Apache v2.0
Group:		Development/Tools
#Source0Download: https://github.com/ninja-build/ninja/releases
Source0:	https://github.com/ninja-build/ninja/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	32151c08211d7ca3c1d832064f6939b0
URL:		http://ninja-build.org/
%{?with_doc:BuildRequires:	asciidoc}
BuildRequires:	libstdc++-devel
%{!?with_bootstrap:BuildRequires:	ninja >= 1.3}
BuildRequires:	python >= 2.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.673
Obsoletes:	ninja-build < 1.0.0-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ninja is a small build system with a focus on speed. It differs from
other build systems in two major respects: it is designed to have its
input files generated by a higher-level build system, and it is
designed to run builds as fast as possible.

%description -l pl.UTF-8
Ninja to mały system budowania ukierunkowany na szybkość. Różni się od
innych systemów budowania pod dwoma głównymi względami: jest
zaprojektowany, aby przyjmować pliki wejściowe wygenerowane przez
system budowania wyższego poziomu oraz tak, aby budowanie przebiegało
jak najszybciej.

%package doc
Summary:	Manual for Ninja build system
Summary(pl.UTF-8):	Podręcznik do systemu budowania Ninja
Group:		Documentation
BuildArch:	noarch

%description doc
Manual for Ninja build system.

%description doc -l pl.UTF-8
Podręcznik do systemu budowania Ninja.

%package -n bash-completion-%{name}
Summary:	Bash completion for ninja command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia ninja
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-%{name}
Bash completion for ninja command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia ninja.

%package -n zsh-completion-%{name}
Summary:	zsh completion for ninja command
Summary(pl.UTF-8):	Dopełnianie parametrów polecenia ninja dla powłoki zsh
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	zsh
BuildArch:	noarch

%description -n zsh-completion-%{name}
zsh completion for ninja command.

%description -n zsh-completion-%{name} -l pl.UTF-8
Dopełnianie parametrów polecenia ninja dla powłoki zsh.

%package -n emacs-ninja-mode
Summary:	Ninja mode for Emacs
Summary(pl.UTF-8):	Tryb Ninja dla Emacsa
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}
Requires:	emacs
BuildArch:	noarch

%description -n emacs-ninja-mode
Ninja mode for Emacs.

%description -n emacs-ninja-mode -l pl.UTF-8
Tryb Ninja dla Emacsa.

%prep
%setup -q

%build
export CXX="%{__cxx}"
export CFLAGS="%{rpmcxxflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

./configure.py \
	%{?with_bootstrap:--bootstrap} \
	--verbose

%if %{without bootstrap}
ninja -v
%endif

# build manual
%{?with_doc:./ninja -v manual}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install -p %{name} $RPM_BUILD_ROOT%{_bindir}
# TODO: Install ninja_syntax.py as python module?

install -d $RPM_BUILD_ROOT%{bash_compdir}
cp -p misc/bash-completion $RPM_BUILD_ROOT%{bash_compdir}/%{name}

install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
install -p misc/ninja-mode.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/ninja-mode.el

install -d $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions
install -p misc/zsh-completion $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/_ninja

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/ninja

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%doc doc/manual.html
%endif

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/ninja

%files -n zsh-completion-%{name}
%defattr(644,root,root,755)
%{_datadir}/zsh/site-functions/_ninja

%files -n emacs-ninja-mode
%defattr(644,root,root,755)
%{_datadir}/emacs/site-lisp/ninja-mode.el
%changelog
* Sun Jul 23 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ninja.git;a=log;h=master

* Sun Jul 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 8cdb56d
- updated to 1.11.1

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 691a276
- unconditional noarch subpackages

* Sun Mar 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 4acb737
- updated to 1.10.0

* Sun May 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 0ae2e96
- updated to 1.9.0

* Sun Apr 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 349b940
- ninja version for non-bootstrap build

* Thu Sep 14 2017 Marcin Banasiak <marcin.banasiak@gmail.com> c69dcb5
- Update to 1.8.2

* Fri Jun 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 9f6a38a
- updated to 1.7.2
- LFS patch replaced by defines added to CFLAGS

* Fri Jun 02 2017 Jakub Bogusz <qboosh@pld-linux.org> 7d89549
- pl
- zsh- and emacs- subpackages

* Sun Aug 09 2015 Elan Ruusamäe <glen@delfi.ee> 6b054ae
- up to 1.6.0

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 144dcb0
- up to 1.5.3

* Sun Oct 26 2014 Elan Ruusamäe <glen@delfi.ee> bee7ad7
- add LFS patch

* Sun Oct 26 2014 Elan Ruusamäe <glen@delfi.ee> 9c7fea3
- up to 1.5.1

* Thu Feb 27 2014 Elan Ruusamäe <glen@delfi.ee> d23c7b1
- up to 1.3.4

* Thu Feb 27 2014 Elan Ruusamäe <glen@delfi.ee> 6611eb9
- up to 1.3.0

* Sun Feb 23 2014 Elan Ruusamäe <glen@delfi.ee> 7c1a6dd
- drop vim package; ninja bundled with vim-rt

* Sun Feb 23 2014 Elan Ruusamäe <glen@delfi.ee> 3d5e99b
- vim syntax package

* Wed Jan 22 2014 Elan Ruusamäe <glen@delfi.ee> d433dd3
- doc subpackage and bcond

* Tue Jan 21 2014 Elan Ruusamäe <glen@delfi.ee> d090bae
- add bootstrap bcond

* Tue Jan 21 2014 Elan Ruusamäe <glen@delfi.ee> 81c99aa
- rpm macros for bashcomp dir

* Tue Jan 21 2014 Elan Ruusamäe <glen@delfi.ee> 27529f7
- renamed to ninja, add bash-completion package

